/**
 * Created by amaralj on 3/8/2016.
 *
 * This file bootstraps ExpressJS and the REST API routes
 */
var express = require("express");
//var favicon = require('serve-favicon');
var logger = require('morgan');
//var cookieParser = require('cookie-parser');
var timeout = require("connect-timeout");
var bodyParser = require('body-parser');
var path = require("path");

module.exports = function(app,config) {

// uncomment after placing your favicon in /public
//app.use(favicon(path.join(__dirname, 'public', 'favicon.ico')));
    app.use(logger('dev'));
    app.use(bodyParser.json());
    app.use(bodyParser.urlencoded({extended: false}));
//app.use(cookieParser());

    app.use(timeout(120000));
    app.use(haltOnTimedOut);

    function haltOnTimedOut(req, res, next) {
        if (!req.timedout) next();
    }

    app.use(express.static(path.join(__dirname, '..', '..', 'public')));

    require("../../routes/api")(app);

// catch 404 and forward to error handler
    app.use(function (req, res, next) {
        var err = new Error('Not Found');
        err.status = 404;
        next(err);
    });

// // error handlers
//
// // development error handler
// // will print stacktrace
    if (config.name !== 'prod') {
        app.use(function (err, req, res, next) {
            res.status(err.status || 500).send(err);
        });
    }
//
// // production error handler
// // no stacktraces leaked to user
    app.use(function (err, req, res, next) {
        res.status(err.status || 500).send({});
    });

};

