/**
 * Created by John on 1/4/2017 .
 */
"use strict";

var moment = require('moment');
var winston = require('winston');
var logger = winston.loggers.get('main');
var ClinicProfile = require("./clinicProfile");
var CatalogList = require("./catalogList");

module.exports = function(sequelize, DataTypes) {
    var ClinicCatalog = sequelize.define('ClinicCatalog', {
            id: {
                type: DataTypes.INTEGER,
                field: 'id',
                primaryKey: true,
                autoIncrement: true
            },
            clinicId: {
                type: DataTypes.INTEGER,
                field: 'clinic_id',
                references: {
                    // This is a reference to another model
                    model: ClinicProfile,

                    // This is the column name of the referenced model
                    key: 'id'
                }
            },
            catalogId: {
                type: DataTypes.INTEGER,
                field: 'catalog_id',
                references: {
                    // This is a reference to another model
                    model: CatalogList,

                    // This is the column name of the referenced model
                    key: 'id'
                }
            }
        },
        {
            timestamps: false,
            tableName: 'tbl_clinic_catalog',
            indexes: [
                // Create a unique index on device timestamp
                {
                    unique: true,
                    fields: ['clinicId', 'catalogId']
                },
            ]
        }
    );
    return ClinicCatalog;
};